classification
Title: "strict" parameter is not documented in csv module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: docs@python, eric.araujo, ezio.melotti, kushal.das, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2012-09-26 10:35 by serhiy.storchaka, last changed 2012-11-18 10:57 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
csv_doc.patch kushal.das, 2012-09-28 17:55 csv.Dialect.strict details patch for documentation review
csv_doc.patch kushal.das, 2012-09-28 19:18 new patch with changes as suggested review
Messages (11)
msg171334 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-09-26 10:35
csv.Dialect.strict is not documented. However it is used in tests.
msg171514 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-09-28 17:55
csv.Dialect.strict is now documented.
msg171522 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-09-28 18:55
Please use ``True`` instead of :const: (this is explained in the doc about the docs in the devguide).
msg171526 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-09-28 19:01
Can native speakers review the patch?
msg171527 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-09-28 19:03
LGTM, except for my previous remark and a missing period after the first line.
msg171529 - (view) Author: Kushal Das (kushal.das) * (Python committer) Date: 2012-09-28 19:18
Updated with new patch
msg171537 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-09-28 19:58
LGTM.
msg173507 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-22 11:53
If the patch is good, why not commit it?
msg173524 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-10-22 14:33
Because I lack time.  Feel free to do it.
msg175863 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-11-18 10:56
New changeset 9b6797631490 by Ezio Melotti in branch '2.7':
#16053: document csv.Dialect.strict.  Patch by Kushal Das.
http://hg.python.org/cpython/rev/9b6797631490

New changeset faf6941ed5fd by Ezio Melotti in branch '3.2':
#16053: document csv.Dialect.strict.  Patch by Kushal Das.
http://hg.python.org/cpython/rev/faf6941ed5fd

New changeset 1956bc3edbb7 by Ezio Melotti in branch '3.3':
#16053: merge with 3.2.
http://hg.python.org/cpython/rev/1956bc3edbb7

New changeset cb7953ba03af by Ezio Melotti in branch 'default':
#16053: merge with 3.3.
http://hg.python.org/cpython/rev/cb7953ba03af
msg175864 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-11-18 10:57
Fixed, thanks for the patch!
History
Date User Action Args
2012-11-18 10:57:50ezio.melottisetstatus: open -> closed

assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg175864
resolution: fixed
stage: commit review -> resolved
2012-11-18 10:56:44python-devsetnosy: + python-dev
messages: + msg175863
2012-10-24 08:58:24serhiy.storchakasetstage: needs patch -> commit review
type: enhancement
versions: + Python 3.4
2012-10-22 14:33:16eric.araujosetmessages: + msg173524
2012-10-22 11:53:59serhiy.storchakasetmessages: + msg173507
2012-09-28 19:58:39eric.araujosetmessages: + msg171537
2012-09-28 19:18:13kushal.dassetfiles: + csv_doc.patch

messages: + msg171529
2012-09-28 19:03:00eric.araujosetmessages: + msg171527
2012-09-28 19:01:47serhiy.storchakasetmessages: + msg171526
2012-09-28 18:55:26eric.araujosetnosy: + eric.araujo
messages: + msg171522
2012-09-28 17:55:54kushal.dassetfiles: + csv_doc.patch

nosy: + kushal.das
messages: + msg171514

keywords: + patch
2012-09-28 16:25:54eric.araujosetkeywords: + easy
stage: needs patch
2012-09-26 10:37:06serhiy.storchakasetassignee: docs@python

nosy: + docs@python
components: + Documentation
versions: + Python 2.7, Python 3.2, Python 3.3
2012-09-26 10:35:56serhiy.storchakacreate